Bug 428784 - Viewing an entry in Alacarte
Viewing an entry in Alacarte
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alacarte (Show other bugs)
12
i686 Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 02:08 EST by bochecha
Modified: 2010-12-05 02:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:13:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bochecha 2008-01-15 02:08:55 EST
Description of problem:
Displaying an entry in Alacarte (but not modifying it !) creates a new desktop
file in /home/myUser/.local/share/applications, ie a user-specific menu entry.

Version-Release number of selected component (if applicable):
alacarte-0.11.3-4.fc8

How reproducible:
always

Steps to Reproduce:
1. open alacarte
2. right click an entry -> properties
3. cancel
4. the new desktop file was created in step 2
  
Actual results:
a user-specific configuration is created even when not modifying anything.

Expected results:
a user-specific configuration should be created only when actually modifying
something, so that a user who only wanted to view the exec command of a menu
entry doesn't end up with a new desktop file that :
- might not receive updates with updates of the programm behind this menu entry
- will not be removed with removal of the programm behind the menu entry

I think those 2 points are normal if a user modified the menu entry, as he might
want to keep his changes (and surely knows what he is doing) but not when he
only viewed the menu entry.

Additional info:
Comment 1 Mathieu Bridon 2008-04-02 15:20:20 EDT
No news ?

Not even a straight "Not a bug" ?
Comment 2 Ray Strode [halfline] 2008-04-02 15:42:46 EDT
it seems like it's a bug clearly.  No one is looking at it at the moment though.

(I'm currently focusing all my Fedora time on getting the new GDM ready for F-9)
Comment 3 Bug Zapper 2008-11-26 04:26:34 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Mathieu Bridon 2008-12-12 13:43:44 EST
Still reproducible in latest F10 as of today.

Changed the Fedora version accordingly.

Thanks BugZappers :)

(also, I reproduced it on x86_64, so it does not seem to be i686 specific as I reported at first)
Comment 5 Matthias Clasen 2008-12-12 21:34:54 EST
I've filed an upstream bug for this issue: http://bugzilla.gnome.org/show_bug.cgi?id=564347
Comment 6 Bug Zapper 2009-11-18 07:25:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Mathieu Bridon 2009-11-18 14:35:08 EST
I can still reproduce this issue in Fedora 12 with:
alacarte-0.12.4-1.fc12
Comment 8 Bug Zapper 2010-11-04 08:03:21 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-05 02:13:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.